#!/usr/bin/env sh
set -xeu

# On bump seulement la partie patch et on relance le build
./bump_version.sh patch
./build.sh

# Met à jour la version dans CloudronManifest.json
jq --arg v "$(command cat VERSION)" '.version = $v' CloudronManifest.json > CloudronManifest.json.tmp && mv CloudronManifest.json.tmp CloudronManifest.json

# Commit + tag + push
git add VERSION CloudronManifest.json
git commit -m "chore: bump version to v$(command cat VERSION)"
git tag "v$(command cat VERSION)"
git push --follow-tags

